### Function

# GLib AsyncQueue new

#### Declaration

    GAsyncQueue*
    g_async_queue_new (
      void
    )

#### Description

Creates a new asynchronous queue.

This function is not directly available to language bindings.

#### Return value

Type: `GAsyncQueue`

A new `GAsyncQueue`. Free with `g_async_queue_unref()`

The caller of the function takes ownership of the data, and is responsible for freeing it.